Get EndUser information
curl --request GET \
--url https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/end_user_information \
--header 'x-api-key: <api-key>'import requests
url = "https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/end_user_information"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/end_user_information', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount_requested": 123,
"annual_revenue": 123,
"business_start_date": "2023-12-25",
"company_billing_address": {
"city": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"state": "<string>",
"zip": "<string>"
},
"company_email": "<string>",
"company_legal_business_name": "<string>",
"company_phone_number": "<string>",
"company_physical_address": {
"city": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"state": "<string>",
"zip": "<string>"
},
"company_website": "<string>",
"dba": "<string>",
"federal_tax_id": "<string>",
"industry_type": "<string>",
"loan_purpose": "<string>",
"monthly_revenue": 123,
"naics": "<string>",
"owner_1": {
"credit_score": 123,
"date_of_birth": "1990-01-01",
"email_address": "<string>",
"first_name": "<string>",
"has_signed": true,
"home_address": {
"city": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"state": "<string>",
"zip": "<string>"
},
"home_phone": "<string>",
"last_name": "<string>",
"mobile_phone": "<string>",
"ownership_percentage": 100,
"signed_date": "2023-12-25",
"social_security_number": "<string>"
},
"owner_2": {
"credit_score": 123,
"date_of_birth": "1990-01-01",
"email_address": "<string>",
"first_name": "<string>",
"has_signed": true,
"home_address": {
"city": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"state": "<string>",
"zip": "<string>"
},
"home_phone": "<string>",
"last_name": "<string>",
"mobile_phone": "<string>",
"ownership_percentage": 100,
"signed_date": "2023-12-25",
"social_security_number": "<string>"
},
"predicted_industry_probability": 123,
"source_email_address": "<string>",
"source_name": "<string>",
"source_notes": "<string>",
"source_type": "iso_application_form",
"state_of_incorporation": "<string>",
"type_of_business_entity": "<string>"
}EndUsers
Get EndUser information
Get the company details of an end user including loan information
GET
/
api
/
end_users
/
{end_user_id_or_heron_id}
/
end_user_information
Get EndUser information
Authorizations
Path Parameters
Response
200 - application/json
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Doing business as
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Source of the end user information
Available options:
api, iso_application_form, heron_industry_classifier, rel6_industry_classifier, email, end_user_entities Example:
"iso_application_form"
Was this page helpful?
⌘I